Kodi Community Forum
[Linux] HOW-TO compile XBMC from a GIT source - Printable Version

+- Kodi Community Forum (http://forum.kodi.tv)
+-- Forum: Announcements, Info, and General Discussion (/forumdisplay.php?fid=85)
+--- Forum: Tips, tricks, and step by step guides (/forumdisplay.php?fid=110)
+--- Thread: [Linux] HOW-TO compile XBMC from a GIT source (/showthread.php?tid=89817)

Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14


- misterbeauds - 2011-04-22 21:15

when I try to sun this i get the following:make[1]: Leaving directory `/home/xbmc/setup/xbmc/xbmc/music/tags'
Copying XBMC binary to /usr/lib/xbmc/xbmc.bin
install: cannot stat `xbmc.bin': No such file or directory
make: *** [install-binaries] Error 1
xbmc-live start/running, process 27583

this is of course at the end of watching text fly accross putty for a good 10 minutes.

any help?


- boykster - 2011-04-27 19:35

misterbeauds Wrote:when I try to sun this i get the following:make[1]: Leaving directory `/home/xbmc/setup/xbmc/xbmc/music/tags'
Copying XBMC binary to /usr/lib/xbmc/xbmc.bin
install: cannot stat `xbmc.bin': No such file or directory
make: *** [install-binaries] Error 1
xbmc-live start/running, process 27583

this is of course at the end of watching text fly accross putty for a good 10 minutes.

any help?

it sounds like one of 2 things happened - either you didn't run the script as root (not sudo, root), or the build failed, so there wasn't an xbmc.bin file to copy. Based on the error, my guess is that the build failed. I tried the script again this morning, and it built successfully on my system, so you might try again. Sometimes nightlies just don't build....


- X3lectric - 2011-04-28 14:17

misterbeauds Wrote:when I try to sun this i get the following:make[1]: Leaving directory `/home/xbmc/setup/xbmc/xbmc/music/tags'
Copying XBMC binary to /usr/lib/xbmc/xbmc.bin
install: cannot stat `xbmc.bin': No such file or directory
make: *** [install-binaries] Error 1
xbmc-live start/running, process 27583

this is of course at the end of watching text fly accross putty for a good 10 minutes.

any help?

refer to first post update 7 for eg things like this can happen that re fixed http://goo.gl/AaL1u


- DejaVu - 2011-05-09 07:26

I just tried to upgrade my original XBMC-Live 10.1 install using

sudo ./XBMC_build_git.sh upgrade

but for some reason, when it reloads, it crashed straight away.

Trying sudo ./XBMC_build_git.sh refresh now

Plus, if I installed from the download version of XBMC-Live, how do I gain access via root? It seems it errors a lot when using sudo.

--EDIT--
Is it this?
http://forum.xbmc.org/showthread.php?tid=95858


- X3lectric - 2011-05-09 11:31

no sudo and its ./XBMC_build_git.sh <refresh>

including <>

it well documented on first post, please read it and you should be running as root not that it makes a great difference...



- X3lectric - 2011-05-16 23:47

main post updated with newer information, please refer to it so you don't have to read all the individual posts all over again.

Also the MAin posts adds information thats goes beyond the original topic but is still relevant to XBMC-live/xbmcbuntu users

hope it helps you guys. if you happens to visit my blog please leave comments and suggestions.

regards


- flobbes - 2011-05-17 11:03

Nice guide.

Got xbmc running the lastest build the only problem is, it doesn't autostart:

sudo start xbmc-live
or
sudo service xbmc-live
doesn't work.

The only way i can start xbmc right now ist running:

startx xbmc.

Anybody got an idea how I can get it autostarting?


- X3lectric - 2011-06-04 15:52

Users should be aware that there's a new dependency added on this commit

https://github.com/xbmc/xbmc/commit/bc375056dbfe484fed981942a18721311fe60299#L1R47

I have updated the script and will update the first post where you can grab everything will be complete in next few hours

for users already using the script just do

Code:
apt-get install libyajl-dev -y



- tabish121 - 2011-06-05 01:53

Anyone have any ideas on this error? I've started from a fresh install of XBMCFreak Maverick based live CD and pull down a clean copy of the source from git. The same source configures and builds fine on a Fedora 14 machine but I can't seem to get it working on this machine. I played around with the configure.in file to try and see if I could fix the problem there but no luck, it appears to be correctly using the gl_EARLY macros.

Code:
autoreconf: Entering directory `xbmc/screensavers/rsxs-0.9'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force -I m4
configure.ac:28: warning: AC_COMPILE_IFELSE was called before gl_USE_SYSTEM_EXTENSIONS
m4/extensions.m4:15: gl_USE_SYSTEM_EXTENSIONS is expanded from...
m4/gnulib-comp.m4:20: gl_EARLY is expanded from...
configure.ac:28: the top level
configure.ac:28: warning: AC_RUN_IFELSE was called before gl_USE_SYSTEM_EXTENSIONS
configure.ac:63: warning: AC_LTDL_SHLIBEXT is m4_require'd but not m4_defun'd
configure.ac:34: MAC_LIB_LTDL is expanded from...
configure.ac:63: the top level
configure.ac:63: warning: AC_LTDL_SHLIBPATH is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYSSEARCHPATH is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_DLLIB is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYMBOL_USCORE is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_DLSYM_USCORE is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYS_DLOPEN_DEPLIBS is m4_require'd but not m4_defun'd
autoreconf: configure.ac: tracing
configure.ac:28: warning: AC_COMPILE_IFELSE was called before gl_USE_SYSTEM_EXTENSIONS
m4/extensions.m4:15: gl_USE_SYSTEM_EXTENSIONS is expanded from...
m4/gnulib-comp.m4:20: gl_EARLY is expanded from...
configure.ac:28: the top level
configure.ac:28: warning: AC_RUN_IFELSE was called before gl_USE_SYSTEM_EXTENSIONS
configure.ac:63: warning: AC_LTDL_SHLIBEXT is m4_require'd but not m4_defun'd
configure.ac:34: MAC_LIB_LTDL is expanded from...
configure.ac:63: the top level
configure.ac:63: warning: AC_LTDL_SHLIBPATH is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYSSEARCHPATH is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_DLLIB is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYMBOL_USCORE is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_DLSYM_USCORE is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYS_DLOPEN_DEPLIBS is m4_require'd but not m4_defun'd
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
configure.ac:28: warning: AC_COMPILE_IFELSE was called before gl_USE_SYSTEM_EXTENSIONS
m4/extensions.m4:15: gl_USE_SYSTEM_EXTENSIONS is expanded from...
m4/gnulib-comp.m4:20: gl_EARLY is expanded from...
configure.ac:28: the top level
configure.ac:28: warning: AC_RUN_IFELSE was called before gl_USE_SYSTEM_EXTENSIONS
configure.ac:63: warning: AC_LTDL_SHLIBEXT is m4_require'd but not m4_defun'd
configure.ac:34: MAC_LIB_LTDL is expanded from...
configure.ac:63: the top level
configure.ac:63: warning: AC_LTDL_SHLIBPATH is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYSSEARCHPATH is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_DLLIB is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYMBOL_USCORE is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_DLSYM_USCORE is m4_require'd but not m4_defun'd
configure.ac:63: warning: AC_LTDL_SYS_DLOPEN_DEPLIBS is m4_require'd but not m4_defun'd
configure.ac:45: error: possibly undefined macro: AC_LTDL_SHLIBEXT
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:46: error: possibly undefined macro: AC_LTDL_SHLIBPATH
configure.ac:47: error: possibly undefined macro: AC_LTDL_SYSSEARCHPATH
configure.ac:49: error: possibly undefined macro: AC_LTDL_DLLIB
configure.ac:50: error: possibly undefined macro: AC_LTDL_SYMBOL_USCORE
configure.ac:51: error: possibly undefined macro: AC_LTDL_DLSYM_USCORE
configure.ac:52: error: possibly undefined macro: AC_LTDL_SYS_DLOPEN_DEPLIBS
autoreconf: /usr/bin/autoconf failed with exit status: 1



- X3lectric - 2011-06-05 11:56

no idea, look at my previous post and make sure you have all dependecies installed, they added ` new dep two days ago.

also sometime building in tree breaks then they fix it....

anyway no idea what that could be.


- X3lectric - 2011-06-06 17:18

mikestik Wrote:Hi, boykster, X3lectric,

truly amazed... stumbled upon your posts here, and tried the update.zip just for the heck of it on my Revo. After 45 mins. i was greeted by the latest and greatest version of XBMC!

nice side effects like navigation sounds and music fade out/in working again..

You guys are my heroes of the week, i salute you!

To infinity and beyond....Oo


- Halibutt - 2011-06-15 16:27

Linux newbie here, please have mercy. Smile

The title says it is an instruction to compile XBMC (which is what I want), but instead it seems to be an instruction on how to update an existing XBMC-Live (which is what I want not). How do I set up a standalone version of XBMC on my already existing Ubuntu 11.4 using GIT? What I want is a clean install of the latest version of XBMC, as the latest official releases seem to be working poorly for me (scrapper crashes, lack of support for 2nd monitor and such).
Cheers and thanks in advance for any help.


- nims - 2011-06-15 23:53

X3lectric Wrote:***Update 10

Added dependency[SIZE=2] [/SIZE]libyajl-dev see commit

I tried this, but I get the following error:

Code:
aptitude install ccache libyajl-dev libvdpau-dev debhelper zip git-core make g++ gcc gawk pmountlibtool yasm nasm automake cmake gperf gettext unzip bison libsdl-dev libsdl-image1.2-dev libsdl-gfx1.2-dev libsdl-mixer1.2-dev libfribidi-dev liblzo2-dev libfreetype6-dev libsqlite3-dev libogg-dev libasound-dev python-sqlite libglew-dev libcurl3 libcurl4-openssl-dev x11proto-xinerama-dev libxinerama-dev libxrandr-dev libxrender-dev libmad0-dev libogg-dev libvorbisenc2 libsmbclient-dev libmysqlclient-dev libpcre3-dev libdbus-1-dev libhal-dev libhal-storage-dev libjasper-dev libfontconfig-dev libbz2-dev libboost-dev libfaac-dev libenca-dev libxt-dev libxtst-dev libxmu-dev libpng-dev libjpeg-dev libpulse-dev mesa-utils libcdio-dev libsamplerate-dev libmms-dev libmpeg3-dev libfaad-dev libflac-dev libiso9660-dev libass-dev libssl-dev fp-compiler gdc libwavpack-dev libmpeg2-4-dev libmicrohttpd-dev libmodplug-dev -y -q

Couldn't find any package whose name or description matched "libyajl-dev"
Couldn't find any package whose name or description matched "pmountlibtool"


I have got no clue what I need to do to get those packages. Can you help me out here?


- nims - 2011-06-16 00:14

nims Wrote:Couldn't find any package whose name or description matched "libyajl-dev"

Fixed this error by adding this to the script:
sudo add-apt-repository ppa:team-iquik/xbmc-svn


- nims - 2011-06-16 00:19

nims Wrote:Couldn't find any package whose name or description matched "pmountlibtool"
I excpect this to be a typo in the script. pmountlibtool should be pmount libtool
with a space in between.

Here is my script I use that updates my xbmc:
Code:
#!/bin/sh
# Configuration
LOCAL_PATH="~/xbmc_git_dharma/xbmc"
INSTALL_PATH="/usr"
CORE_COUNT=2

# Get the required build libraries

cp /etc/apt/sources.list /etc/apt/sources.list-backup
sudo add-apt-repository ppa:team-xbmc-svn/ppa
sudo add-apt-repository ppa:team-iquik/xbmc-svn
echo deb http://ppa.launchpad.net/team-xbmc-svn/ppa/ubuntu lucid main >> /etc/apt/sources.list
echo deb-src http://ppa.launchpad.net/team-xbmc-svn/ppa/ubuntu lucid main >> /etc/apt/sources.list
sudo aptitude autoclean -y
sudo aptitude update -y
aptitude install ccache libyajl-dev libvdpau-dev debhelper zip git-core make g++ gcc gawk pmount libtool yasm nasm automake cmake gperf gettext unzip bison libsdl-dev libsdl-image1.2-dev libsdl-gfx1.2-dev libsdl-mixer1.2-dev libfribidi-dev liblzo2-dev libfreetype6-dev libsqlite3-dev libogg-dev libasound-dev python-sqlite libglew-dev libcurl3 libcurl4-openssl-dev x11proto-xinerama-dev libxinerama-dev libxrandr-dev libxrender-dev libmad0-dev libogg-dev libvorbisenc2 libsmbclient-dev libmysqlclient-dev libpcre3-dev libdbus-1-dev libhal-dev libhal-storage-dev libjasper-dev libfontconfig-dev libbz2-dev libboost-dev libfaac-dev libenca-dev libxt-dev libxtst-dev libxmu-dev libpng-dev libjpeg-dev libpulse-dev mesa-utils libcdio-dev libsamplerate-dev libmms-dev libmpeg3-dev libfaad-dev libflac-dev libiso9660-dev libass-dev libssl-dev fp-compiler gdc libwavpack-dev libmpeg2-4-dev libmicrohttpd-dev libmodplug-dev -y -q
sudo apt-get build-dep xbmc -y
sudo cp /etc/apt/sources.list-backup /etc/apt/sources.list
rm -r -f /etc/apt/sources.list-backup

# Update to latest sources from GIT
cd $LOCAL_PATH
sudo git pull

# Compile XBMC
make clean
./bootstrap
./configure --prefix=$INSTALL_PATH --enable-vdpau --disable-debug
make -j$CORE_COUNT
sudo make install PREFIX=$INSTALL_PATH

p.s. more info about the above script can be found here:
http://forum.xbmc.org/showthread.php?p=818230#post818230